## capsfilter

capsfilter — pass data though unmodified, but enforces format limmits

## Synopsis

                        GstCapsFilter;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseTransform
                         +----GstCapsFilter

## Properties

      "caps"                     GstCaps               : Read / Write

## Description

The element does not modify data as such, but can enforce limmitations on the data format.

### Element Information

plugin | coreelements
author | David Schleef <ds@schleef.org>
class | Generic

### Element Pads

name | src
direction | source
presence | always
details | ANY

name | sink
direction | sink
presence | always
details | ANY

## Details

### GstCapsFilter

    typedef struct _GstCapsFilter GstCapsFilter;

## Property Details

### The "`caps`" property

      "caps"                     GstCaps               : Read / Write

Restrict the possible allowed capabilities (NULL means ANY).